> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qudata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Получить GPU

> Возвращает GPU по translit_name



## OpenAPI

````yaml https://service-docs.qudata.ai/api/openapi.en.json get /v0/market/gpus/{gpu_translit_name}
openapi: 3.1.0
info:
  title: QuData Public API
  version: v0
servers:
  - url: https://api.qudata.ai
security: []
paths:
  /v0/market/gpus/{gpu_translit_name}:
    get:
      tags:
        - market
      summary: Получить GPU
      description: Возвращает GPU по translit_name
      operationId: get_gpu_v0_market_gpus__gpu_translit_name__get
      parameters:
        - name: gpu_translit_name
          in: path
          required: true
          schema:
            type: string
            title: Gpu Translit Name
        - name: locale
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/Locale'
              - type: 'null'
            default: ru
            title: Locale
        - name: currency
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Currency'
            default: RUB
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkResponse_GPUResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - AuthApiKey: []
components:
  schemas:
    Locale:
      type: string
      enum:
        - ru
        - en
      title: Locale
    Currency:
      type: string
      enum:
        - USD
        - RUB
        - QOIN
      title: Currency
    OkResponse_GPUResponse_:
      properties:
        ok:
          type: boolean
          title: Ok
          default: true
        data:
          anyOf:
            - $ref: '#/components/schemas/GPUResponse'
            - type: 'null'
      type: object
      title: OkResponse[GPUResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GPUResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        translit_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Translit Name
        interface:
          anyOf:
            - type: string
            - type: 'null'
          title: Interface
        best_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Best Price
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        description:
          type: string
          title: Description
        features:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Features
          default: []
        configuration:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Configuration
          default: []
        benchmarks:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Benchmarks
          default: []
      type: object
      required:
        - id
        - name
        - description
      title: GPUResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    AuthApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````